Bug 484329 - Grub fails to build in rawhide?
Grub fails to build in rawhide?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11FTBFS
  Show dependency treegraph
 
Reported: 2009-02-05 23:13 EST by Eric Sandeen
Modified: 2009-03-12 12:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 12:58:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sandeen 2009-02-05 23:13:14 EST
Tried building grub-0.97-37.fc11 as a scratch build in koji and no luck:

gcc -o reloc.o -c -isystem /usr/lib/gcc/i386-redhat-linux/4.3.2/include -fpic -fshort-wchar -fno-strict-aliasing -fno-merge-constants -I../stage1 -I../lib -I. -I.. -I../stage2 -fno-builtin  -DSUPPORT_SERIAL=1  -DSUPPORT_GRAPHICS=1 ia32/reloc.c
gcc -o efimain.o -c -isystem /usr/lib/gcc/i386-redhat-linux/4.3.2/include -fpic -fshort-wchar -fno-strict-aliasing -fno-merge-constants -I../stage1 -I../lib -I. -I.. -I../stage2 -fno-builtin  -DSUPPORT_SERIAL=1  -DSUPPORT_GRAPHICS=1 -nostdinc efimain.c
ld -o grub.so -T /usr/lib/gnuefi/elf_ia32_efi.lds -nostdlib -shared -Bsymbolic reloc.o efimain.o /usr/lib/gnuefi/crt0-efi-ia32.o ../stage2/libstage2.a libgrubefi.a /usr/lib/gcc/i386-redhat-linux/4.3.2/libgcc.a
ld: section .data [0000000000000000 -> 00000000000127af] overlaps se
ction .hash [0000000000000000 -> 0000000000000917]
ld: section .text [0000000000001000 -> 000000000001a94c] overlaps section .data [0000000000000000 -> 00000000000127af]
ld: section .dynamic [0000000000013000 -> 0000000000013077] overlaps section .text [0000000000001000 -> 000000000001a94c]
ld: grub.so: section .data vma 0x0 overlaps previous sections
ld: grub.so: section .text vma 0x1000 overlaps previous sections
ld: grub.so: section .dynamic vma 0x13000 overlaps previous sections
ld: grub.so: section .rel vma 0x14000 overlaps previous sections
ld: grub.so: section .dynsym vma 0x15000 overlaps previous sections
ld: grub.so: section .dynstr vma 0x17000 overlaps previous sections
make[2]: 
*** [grub.so] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/grub-0.97/efi'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/grub-0.97'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.DShsmf (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.DShsmf (%build)
Child returncode was: 1

Known problem?

Thanks,
-Eric
Comment 1 lexual 2009-03-01 04:35:50 EST
http://jkeating.fedorapeople.org/needed-f11-rebuilds.html

Looks to be.
Comment 2 Eric Sandeen 2009-03-12 12:58:35 EDT
Fixed in grub-0.97-41.fc11

Note You need to log in before you can comment on or make changes to this bug.